%Mit diesser Funktion kann ein fertiger movel-Befehl aus den bergebenen
%gewnschten Kooridinaten und weiteren Daten ermittelt werden.



function [movelString] = createMovelCommand(x,y,z,rx,ry,rz,a,v,t,r)    %command2string dient nur dazu, den movej Befehl zu konstruieren
    
    %Die Definition der Pose befindet sich in Literatur/Script-Befehle.pdf
    %auf Seite 4 mit "p[x,y,z,ax,ay,az]".
    %Definiere innerhalb dieser Funktion den gesamten Befehl zusammen mit
    %der Pose und anderen Parametern

    movelString = ['movel(p[' num2str(x) ', ' num2str(y) ', ' num2str(z) ', ' num2str(rx)...
                    ', ' num2str(ry) ', ' num2str(rz) '], ' num2str(a) ', ' num2str(v) ', ' num2str(t)...
                    ', ' num2str(r) ')'];
    
end


